Home

# Class goog.proto2.FieldDescriptor

A class which describes a field in a Protocol Buffer 2 Message.

Instance Method Summary
| `deserializationConversionPermitted() ⇒ boolean` Returns true if simple conversions between numbers and strings are permitted during deserialization for this field.
| `getContainingType() ⇒ ?goog.proto2.Descriptor` Returns the descriptor describing the message that defined this field.
| `getDefaultValue() ⇒ <Any Type>` Returns the default value of this field.
| `getFieldMessageType() ⇒ ?goog.proto2.Descriptor` Returns the descriptor of the message type of this field. Only valid for fields of type GROUP and MESSAGE.
| `getFieldType() ⇒ ?goog.proto2.FieldDescriptor.FieldType` Returns the field type of the field described by this descriptor.
| `getName() ⇒ string` Returns the name of the field that this descriptor represents.
| `getNativeType() ⇒ ?Object` Returns the native (i.e. ECMAScript) type of the field described by this descriptor.
| `getTag() ⇒ number` Returns the tag of the field that this descriptor represents.
| `isCompositeType() ⇒ boolean`
| `isOptional() ⇒ boolean` Returns whether the field described by this descriptor is optional.
| `isRepeated() ⇒ boolean` Returns whether the field described by this descriptor is repeating.
| `isRequired() ⇒ boolean` Returns whether the field described by this descriptor is required.